gist_save {gistr} | R Documentation

## Save gist files to disk

### Description

Save gist files to disk

### Usage

    gist_save(gist, path = ".")

    gist_open(x)

### Arguments

`gist` | A gist object or something coerceable to a gist
`path` | Root path to write to, a directory, not a file b/c a gist can contain many files. A folder is created with name of the gist id within this root directory. File names will be the same as given in the gist.
`x` | An object of class `gist_files` (the output from `gist_save`)

### Details

`gist_save`: files are written into a new folder, named by the gist id, e.g., `a65ac7e56b7b3f746913`

`gist_open`: opens files in your editor/R GUI. Internally, uses `file.edit` to open files, using `getOption("editor")` to open the files. If you're in R.app or RStudio, or other IDE's, files will open in the IDE (I think).

### Value

An object of class `gist_files`, S3 object containing file paths

### Examples

    ## Not run:
    gist("a65ac7e56b7b3f746913") %>% gist_save()
    gist("a65ac7e56b7b3f746913") %>% gist_save() %>% gist_open()
    gist("https://gist.github.com/expersso/4ac33b9c00751fddc7f8") %>% gist_save()

    ## End(Not run)

[Package gistr version 0.3.6 Index]